rte_vhost_stat(3)

NAME
rte_vhost_stat

SYNOPSIS

#include <rte_vhost.h>

  Data Fields

uint64_t id
uint64_t value

Detailed Description

Vhost virtqueue statistics structure

This structure is used by rte_vhost_vring_stats_get() to provide virtqueue statistics to the calling application. It maps a name ID, corresponding to an index in the array returned by rte_vhost_vring_stats_get_names(), to a statistic value.

Definition at line 347 of file rte_vhost.h.

Field Documentation

  uint64_t id
The index in xstats name array.

Definition at line 348 of file rte_vhost.h.

  uint64_t value
The statistic counter value.

Definition at line 349 of file rte_vhost.h.

Author

Generated automatically by Doxygen for DPDK from the source code.